- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QTextureBuffer
- Qt 6.8.2 Reference Documentation

# QTextureBuffer Class

class Qt3DRender::QTextureBuffer

A QAbstractTexture with a TargetBuffer target format. More...

Header: | `#include <Qt3DRender/QTexture>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | TextureBuffer
Inherits: | Qt3DRender::QAbstractTexture
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QTextureBuffer(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

## Member Function Documentation

### `[explicit]` QTextureBuffer::QTextureBuffer(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTextureBuffer instance with parent as parent.